Mozilla va abandonner le support des extensions Qui n’auront pas été converties en WebExtensions

Avec Firefox 57, la Fondation Mozilla va opérer un changement : abandonner le support des extensions qui n’auront pas été converties en WebExtensions. Les WebExtensions sont des extensions de navigateur créées avec l’API WebExtenstions de Mozilla, un système pour développer des extensions multinavigateurs. Basées sur les technologies du Web (HTML, JavaScript, CSS), le principal objectif des WebExtensions est d’aider les développeurs à créer facilement des extensions qui pourraient fonctionner sur les différents navigateurs. L’API WebExtensions est compatible avec l’API d’extensions Google Chrome et Opera, ce qui veut dire que les extensions écrites pour ces navigateurs pourront donc dans la plupart des cas être exécutées sur Firefox. D’après Mozilla, les extensions développées avec sa nouvelle API pourront également fonctionner sur Microsoft Edge avec quelques changements.

Dans un billet, Mozilla explique que dans le passé, les add-ons ont souvent cessé de fonctionner chaque fois qu’une nouvelle version de Firefox a été publiée, car les développeurs devaient les mettre à jour toutes les six semaines afin de les rendre compatibles. Étant donné que les add-ons pourraient également modifier le code interne de Firefox directement, il était possible pour les acteurs malveillants d’inclure un code malveillant dans un complément d’apparence innocente.

Aussi, pour résoudre ces problèmes et dans le cadre d’efforts plus larges pour moderniser Firefox dans son ensemble, Mozilla a opté pour une transition vers un nouveau cadre pour développer des extensions Firefox. La Fondation précise qu’il vous sera toujours possible de personnaliser Firefox avec des add-ons de la même façon que vous le faites maintenant, sauf que ces extensions ne vont plus planter avec la venue de nouvelles versions de Firefox.

En clair, à partir de Firefox 57, qui sera publié en novembre 2017, seules les extensions qui s’appuient sur cette technologie vont fonctionner dans Firefox. À des fins indicatives, l’étiquette « Compatible with Firefox 57+ » sera placée sur les extensions qui s’appuient sur cette technologie et qui sont disponibles sur la vitrine de téléchargement d’extension de Mozilla AMO (addons.mozilla.org). Les extensions qui s’appuient sur l’ancienne technologie auront pour leur part l’étiquette « Legacy » qui sera visible dans l’onglet about: addons.

« Nous savons que certains add-ons ne vont pas effectuer la transition vers la nouvelle norme, nous continuerons d’aider les développeurs dans toute la mesure du possible. À mesure que nous nous rapprochons de novembre, nous proposons des remplacements appropriés d’extensions complémentaires qui ne font pas la transition », a indiqué Mozilla.

« Si vous êtes un utilisateur de Firefox Nightly, notez que Firefox 57 a atteint le canal Nightly le 2 août 2017. Les extensions héritées seront désactivées, mais seront activées à nouveau si le développeur publie une mise à jour compatible. »

En attendant, vous pouvez vérifier si les développeurs ont prévu d’effectuer une migration sur les extensions (uniquement sur les extensions populaires), rechercher des alternatives ou contacter les développeurs pour en savoir plus. Pour ce dernier cas, vous pouvez trouver les informations de contact du développeur sur le côté droit de la liste des add-ons sur AMO.

 

 

 

 

Source : developpez.com

Voir Aussi

Firefox Quantum est désormais disponible pour tous les utilisateurs